/* Reset
================================ */

/*
==========
*
*   https://github.com/Lazzzer00/Best-CSS-Reset-2024
*
==========
*/

*, *::before, *::after{
    box-sizing: border-box;
}

*{
    margin: 0;
    padding: 0;
}

ul[role='list'], ol[role='list']{
    list-style: none;
}

html:focus-within{
    scroll-behavior: smooth;
}

a:not([class]){
    text-decoration-skip-ink: auto;
}

img, picture, svg, video, canvas{
    max-width: 100%;
    height: auto;
    vertical-align: middle;
    font-style: italic;
    background-repeat: no-repeat;
    background-size: cover;
}

input, button, textarea, select{
    font: inherit;
}

@media (prefers-reduced-motion: reduce){
    html:focus-within {
        scroll-behavior: auto;
    }
    *, *::before, *::after {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
        transition: none;
    }
}

body, html{
    scroll-behavior: smooth;
    min-height: 100vh;
}

/*
==========
*
*   Переменные
*
==========
*/

:root {
    --color-black-transparent: #000000B4;
    --color-primary: #fff;
    --color-primary-transparent: #292929B4;
    --color-secondary: #292929;
    --color-accent: #FFD43B;
    --color-white: #FFF;
    --color-gray: #A8A8A8;
    --color-light-gray: #D9D9D9;
    --color-lightest-gray: #F8F8F8;
}

/*
==========
*
*   Шрифты
*
==========
*/

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-ExtraLight.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-ExtraLight.woff') format('woff'),
    url('../fonts/GeologicaRoman-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Medium.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Medium.woff') format('woff'),
    url('../fonts/GeologicaRoman-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-ExtraBold.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-ExtraBold.woff') format('woff'),
    url('../fonts/GeologicaRoman-ExtraBold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Bold.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Bold.woff') format('woff'),
    url('../fonts/GeologicaRoman-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Regular.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Regular.woff') format('woff'),
    url('../fonts/GeologicaRoman-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Thin.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Thin.woff') format('woff'),
    url('../fonts/GeologicaRoman-Thin.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Black.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Black.woff') format('woff'),
    url('../fonts/GeologicaRoman-Black.ttf') format('truetype');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-Light.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-Light.woff') format('woff'),
    url('../fonts/GeologicaRoman-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Geologica';
    src: url('../fonts/GeologicaRoman-SemiBold.woff2') format('woff2'),
    url('../fonts/GeologicaRoman-SemiBold.woff') format('woff'),
    url('../fonts/GeologicaRoman-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

/*
==========
*
*   Тушка
*
==========
*/

/* START Кнопки */

.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 25px;
    height: 45px;
    width: min(500px, 100%);
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    background: var(--color-primary);
    font-size: 16px;
    font-weight: 400;
    color: var(--color-secondary);
    text-decoration: none;
    text-transform: uppercase;
    white-space: nowrap;
    outline: none;
    border: none;
    cursor: pointer;
}

.btn:hover {
    background: var(--color-secondary);
    color: var(--color-white);
}

.btn:hover .btn__icon svg {
    fill: var(--color-white);
}

.btn_color-green {
    background: var(--color-secondary);
    color: var(--color-white);
}

.btn_color-black {
    background: var(--color-primary);
    color: var(--color-white);
}

.btn_color-black:hover {
    background: var(--color-accent);
    color: var(--color-primary);
}

.btn_color-light {
    background: transparent;
    color: var(--color-light-gray);
    border: 1px solid var(--color-light-gray);
}

.btn_color-light:hover {
    background: var(--color-accent);
    color: var(--color-primary);
    border: 1px solid var(--color-accent);
}

.btn_color-light.btn_active {
    background: var(--color-accent);
    color: var(--color-primary);
    border-color: var(--color-accent);
}

.btn_color-light-black {
    background: transparent;
    color: var(--color-primary);
    border: 1px solid var(--color-gray);
}

.btn_color-light-black:hover {
    background: var(--color-accent);
    color: var(--color-primary);
    border: 1px solid var(--color-accent);
}

.btn_width-auto {
    padding: 0 50px;
    width: auto;
}

.btn__icon {
    margin-right: 10px;
    display: block;
}

.btn__icon svg {
    fill: var(--color-secondary);
}

.btn_color-light-black .btn__icon svg {
    fill: var(--color-secondary);
}

.btn_color-light-black:hover .btn__icon svg {
    fill: var(--color-secondary);
}

.btn__text {
    display: block;
    text-align: left;
}

.btn_color-light .btn__text {
    font-weight: 100;
}

/* END Кнопки */

.body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-family: Geologica;
    color: var(--color-primary);
    background-color: #45494E;
}

.container {
    margin: 0 auto;
    padding: 0 10px;
    width: 320px;
}

.header {
    margin-bottom: 20px;
}

.header__logo {
    display: flex;
    margin-bottom: 20px;
}

.header__logo svg {
    height: 70px;
}

.header__subline {
    font-size: 14px;
    font-weight: 200;
    color: #fff;
}

.main {

}

.links-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 20px;
}

.links-list__item {
    margin-bottom: 10px;
}

.links-list__item a {
    display: flex;
    justify-content: flex-start;
}

.links-list__item span {
    width: 50%;
}

.links-list__item-icon {
    margin-right: 15px;
}

.links-list__item-icon svg {
    width: 25px;
    height: 25px;
}

.links-list__item-text {
    display: flex;
    flex-direction: column;
}

.links-list__item-text-sub {
    font-size: 12px;
    text-transform: none;
}

.footer {

}